package com.bonus.canteen.core.menu.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.dto.MenuDishesTasteAddDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesTasteEditDTO;
import com.bonus.canteen.core.menu.entity.MenuDishesTaste;
import com.bonus.canteen.core.menu.vo.MenuDishesTastePageVO;

public interface MenuDishesTasteService extends IService<MenuDishesTaste> {
   void addMenuDishesTaste(MenuDishesTasteAddDTO content);

   Page<MenuDishesTastePageVO> getMenuDishesTastePage(String content);

   void editMenuDishesTaste(MenuDishesTasteEditDTO content);

   void removeByTasteId(Long tasteId);
}
